<div>
    @include('livewire.user-management.top-nav.user-management')

    <livewire:components.table 
        :columns="[
            ['label' => 'Username', 'field' => 'username'],
            ['label' => 'First Name', 'field' => 'firstname'],
            ['label' => 'Last Name', 'field' => 'lastname'],
            ['label' => 'Email', 'field' => 'email'],
            ['label' => 'Role', 'field' => 'role'],
            ['label' => 'Status', 'field' => 'status'],
        ]"
        :rows="$users" 
        :addRoute="route('user-create')" 
        :hasAddButton="true"
        :hasCheckbox="true"
        :hasActions="true"
        :isViewPage="false"
        :rowKey="'admin_uuid'"
    />
</div>
